Bug 243429 - [pata_via] atapi timeouts on UDMA
[pata_via] atapi timeouts on UDMA
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 13:20 EDT by Brianna
Modified: 2009-01-09 02:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:07:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vvxxx output (25.15 KB, application/octet-stream)
2007-09-17 12:32 EDT, Brianna
no flags Details
lspci -vvxxx data like requested of OP (62.69 KB, text/plain)
2007-12-12 01:00 EST, Lamar Owen
no flags Details
dmesg dump (last 500 lines) after disabling CPU #1 (22.71 KB, text/plain)
2008-02-13 18:29 EST, Wesley Haines
no flags Details

  None (edit)
Description Brianna 2007-06-08 13:20:05 EDT
Description of problem:
After upgrading from FC6 to F7 I am receiving the following errors:
ata2.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.01: cmd a0/01:00:00:00:00/00:00:00:00:00/b0 tag 0 cdb 0x4a data 8 in
         res 40/00:03:00:00:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
ata2: soft resetting port
ata2.00: configured for UDMA/25
ata2.01: configured for UDMA/25
ata2: EH complete
((As a side note yesterday they were saying UDMA/33)

Also while trying to correct display issues from a terminal screen that error
showed up on the screen about every 5 min and when that happened the HD light
would stay solid for 5-10 seconds then go back to normal. 

(The dmesg log is filled with this error and only this error.. the boot info has
been pushed out)

smolt: 70f1ac0f-9325-487a-80fc-5cd1d968b73e


Version-Release number of selected component (if applicable):
kernel: 2.6.21-1.3194.fc7


How reproducible:
Has been happening continously since I upgraded.

Steps to Reproduce:
1. Boot F7.



Additional info:
Bug 243238 looked similar and I posted a comment to it but was asked to create a
new bug.
Comment 1 Brianna 2007-06-15 14:13:52 EDT
Just upgraded to kernel 2.6.21-1.3228.fc7 and still having the same issue. 
Since rebooting (to upgrade the kernel) 45 min ago I have received the error 52
times (according to dmesg)
Comment 2 Chuck Ebbert 2007-06-15 15:31:03 EDT
driver is pata_via
Comment 3 Christopher Brown 2007-09-14 10:26:08 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 4 stephane ploix 2007-09-15 10:30:44 EDT
I have the same problem. I have detailed it in bug 245294 that seems to be the
same to my feeling.
Comment 5 Christopher Brown 2007-09-16 16:08:40 EDT
I'm re-assigning this bug to the relevant maintainer who is best placed to help
further.

Cheers
Chris
Comment 6 Brianna 2007-09-17 07:38:57 EDT
I am still having this issue.  I gave up working on it (because it was out of my
league) and have been living with it hoping that it would work its way out with
one of the kernel updates...  But any help is always appreciated!!

-Brianna 
Comment 7 Christopher Brown 2007-09-17 08:05:00 EDT
Could you attach the output of lspci -vvxxx which will help in troubleshooting
this error.

Cheers
Chris
Comment 8 Brianna 2007-09-17 12:32:44 EDT
Created attachment 197611 [details]
lspci -vvxxx output

lspci -vvxxx output
Comment 9 Alan Cox 2007-09-18 05:02:29 EDT
0x04 is a timeout, so the drive is sometimes not responding to the command.
Eventually we try slowing it down (hence UDMA25 not UDMA33). Added to my queue
to look at further
Comment 10 Brianna 2007-10-18 08:36:26 EDT
I learned today (the hard way... and when I really needed it to work) that this
error also prevents me from burning CD's... soon as I start trying it floods the
logs with the error message and causes K3B to hang..

-Brianna
Comment 11 Brianna 2007-11-19 14:31:00 EST
Updated to Fedora 8 last weeks in the hope that the error would resolve itself,
but it has not.  Still getting these errors:
ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata2: soft resetting port
ata2.00: configured for UDMA/33
ata2: EH complete
ata2.00: qc timeout (cmd 0xa0)
ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.00: cmd a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x25 data 8 in
         res 51/20:03:00:00:00/00:00:00:00:00/a0 Emask 0x5 (timeout)
ata2: soft resetting port
ata2.00: configured for UDMA/33
ata2: EH pending after completion, repeating EH (cnt=4)
ata2: EH complete
Comment 12 Wesley Haines 2007-11-29 14:04:48 EST
I'm also getting these errors on Fedora 8. Here are some lines from dmesg: 

[kremit@Kremit ~]$ dmesg |tail -n 20
ata2.01: configured for PIO0
ata2: EH complete
ata2.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.01: cmd a0/00:00:00:00:20/00:00:00:00:00/b0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
ata2: soft resetting port
ata2.01: configured for PIO0
ata2: EH complete
ata2.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.01: cmd a0/00:00:00:00:20/00:00:00:00:00/b0 tag 0 cdb 0x0 data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
ata2: soft resetting port
ata2.01: configured for PIO0
ata2: EH complete
ata2.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.01: cmd a0/00:00:00:00:20/00:00:00:00:00/b0 tag 0 cdb 0x1b data 0 
         res 40/00:03:00:00:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
ata2: soft resetting port
ata2.01: configured for PIO0
ata2: EH complete


My hardware: 

ASUS M2V motherboard (VIA K8T890)
AMD Athlon 64 X2 3800+ Windsor 2.0GHz Socket AM2 65W CPU

The only reason I'm able to use my system in this configuration is because I'm
running my system off of a 3ware Escalade 7002 RAID card. The motherboard IDE
barely works (it takes about 2 minutes just to eject the DVD drive with `eject
/dev/cdrom` as mentioned above), so I cannot read files from my Windows drive
(on the motherboard IDE controller) or use my DVD-RW.

Thanks for looking into this problem!
Comment 13 Lamar Owen 2007-12-12 00:58:31 EST
I also have this issue on an ASUS A8V-XE with VIA8251 southbridge.
Comment 14 Lamar Owen 2007-12-12 01:00:19 EST
Created attachment 285111 [details]
lspci -vvxxx data like requested of OP
Comment 15 Alessandro GARDICH 2007-12-23 10:49:41 EST
happen also to me ... 
since Fedora 7 (now Fedora 8) 
on x86_64 arch (ASUS A8V-E motherboard) 

is really annoying I'm not able to use optical devices at all!!! 

on the first port of the same controller i have an hard drive that work
perfectly, so for me only optical device have trouble, a DVD-RW and a DVD-ROM,
master and slave respectively, before Fedora 7, with old IDE driver all was fine 

Comment 16 Wesley Haines 2008-02-13 18:29:55 EST
Created attachment 294856 [details]
dmesg dump (last 500 lines) after disabling CPU #1


Per <a href="https://bugzilla.redhat.com/show_bug.cgi?id=245294#c9">comment 9
on bug #245294</a> (a similar bug), I tried disabling the second core on my CPU
using: 

# echo 0 > /sys/devices/system/cpu/cpu1/online

and I was able to eject my DVD-RW normally.

I've attached the end of dmesg (the rest is a loop of the ata exception
errors).
Comment 17 Bug Zapper 2008-05-14 08:56:09 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Brianna 2008-05-19 08:56:57 EDT
I have not yet upgraded to F9 but in F8 I still have these problems.  (I set the
version to 8 when I upgraded to F8... so I hope this bug does not die when they
close F7)

-Brianna
Comment 19 Bug Zapper 2008-11-26 02:19:32 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2009-01-09 02:07:47 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.